import 'package:airpackage/components/cursor.dart';
import 'package:airpackage/themes/colors.dart';
import 'package:flutter/material.dart';

class AirButton extends StatelessWidget {
  final Text label;
  final Color color;
  final IconData icon;
  final double iconSize;
  final VoidCallback onPressed;

  AirButton({
    this.icon,
    this.iconSize = 14,
    this.label,
    @required this.onPressed,
    this.color = AirColors.primary,
  });

  @override
  Widget build(BuildContext context) {
    return Cursor(
      child: RaisedButton.icon(
        elevation: 1.5,
        label: this.label,
        color: this.color,
        disabledElevation: 0,
        highlightElevation: 0,
        icon: Icon(this.icon, size: iconSize,),
        onPressed: this.onPressed,
        textColor: AirColors.text.white,
        textTheme: ButtonTextTheme.accent,
        highlightColor: Colors.transparent,
      ),
    );
  }
}
